package com.za.room.db

import androidx.room.Database
import androidx.room.RoomDatabase
import com.za.bean.db.ChangeBatteryPhoto
import com.za.bean.db.NewPhotoTemplateBean
import com.za.bean.db.ele.EleCarDamagePhotoBean
import com.za.bean.db.ele.EleWorkOrderBean
import com.za.bean.db.order.OrderInfo
import com.za.bean.db.order.PhotoTemplateInfo
import com.za.bean.db.water_marker.WaterMarkerItemBean
import com.za.bean.db.water_marker.WaterMarkerTemplateBean
import com.za.offline.OfflineDao
import com.za.offline.OfflineUpdateTaskBean
import com.za.room.RoomHelper
import com.za.room.db.ele_work.EleCarDamagePhotoDao
import com.za.room.db.ele_work.EleWorkOrderDao
import com.za.room.db.order.ChangeBatteryDao
import com.za.room.db.order.OrderDao
import com.za.room.db.order.PhotoTemplateDao
import com.za.room.db.user.LocalResourceBean
import com.za.room.db.user.LocalResourceDao
import com.za.room.db.water_marker.WaterMarkerDao


@Database(entities = [EleWorkOrderBean::class, EleCarDamagePhotoBean::class, LocalResourceBean::class, WaterMarkerTemplateBean::class, WaterMarkerItemBean::class, ChangeBatteryPhoto::class, NewPhotoTemplateBean::class, OrderInfo::class, OfflineUpdateTaskBean::class, PhotoTemplateInfo::class],
	version = RoomHelper.VERSION,
	exportSchema = false)
abstract class GlobalRoom : RoomDatabase() {
	abstract fun eleWorkOrderDao() : EleWorkOrderDao

	abstract fun eleCarDamagePhotoDao() : EleCarDamagePhotoDao

	abstract fun waterMarkerDao() : WaterMarkerDao

	abstract fun changeBatteryDao() : ChangeBatteryDao

	abstract fun orderDao() : OrderDao

	abstract fun photoTemplateDao() : PhotoTemplateDao

	abstract fun offlineTaskDao() : OfflineDao

	abstract fun localResourceDao() : LocalResourceDao
}
